package etcd

import (
	"mongo.games.com/goserver/core"
)

func init() {
	core.RegisteHook(core.HOOK_BEFORE_START, func() error {
		mgr.Start()
		return nil
	})

	core.RegisteHook(core.HOOK_AFTER_STOP, func() error {
		mgr.Shutdown()
		return nil
	})
}
